﻿new WOW().init();
var programSectionAnimated = false,
    registrationSectionAnimated = false,
    parseSVG = function (s) {
        var div = document.createElementNS('http://www.w3.org/1999/xhtml', 'div');
        div.innerHTML = '<svg xmlns="http://www.w3.org/2000/svg">' + s + '</svg>';
        var frag = document.createDocumentFragment();
        while (div.firstChild.firstChild)
            frag.appendChild(div.firstChild.firstChild);
        return frag;
    },
    pathObjWf = {
        "JbWorkFollow": {
            "strokepath": [
                {
                    "path": "M104.675,76.16   c0.755-19.441-14.393-35.813-33.834-36.568S35.027,53.986,34.273,73.427s14.393,35.813,33.834,36.568S103.92,95.601,104.675,76.16",
                    "duration": 600,
                    //'strokeColor':'#000000',
                    "onStrokeComplete": function () {
                        $("#JbWorkFollow svg").append(parseSVG('<g class="icon animated bounceIn"><path fill="#F79521" d="M62.25,67.428c0.11,0,0.212-0.064,0.263-0.168c0.053-0.102,0.046-0.225-0.018-0.314l-1.476-2.136    l-0.09-2.591c0-0.117-0.064-0.218-0.166-0.269c-0.103-0.053-0.225-0.039-0.32,0.025l-2.13,1.47l-2.591,0.09    c-0.117,0.005-0.218,0.071-0.269,0.172c-0.053,0.097-0.039,0.218,0.025,0.314l1.47,2.136l0.089,2.591    c0.007,0.11,0.071,0.212,0.174,0.264c0.095,0.051,0.218,0.044,0.314-0.02l2.136-1.476L62.25,67.428z M62.25,67.428"/><path fill="#F79521" d="M67.099,69.563l-0.622-1.128c-0.051-0.103-0.159-0.161-0.269-0.161c-0.115,0-0.217,0.057-0.276,0.161    l-0.616,1.128l-1.128,0.616c-0.103,0.059-0.161,0.161-0.161,0.276c0,0.11,0.057,0.218,0.161,0.269l1.128,0.622l0.616,1.13    c0.059,0.095,0.161,0.161,0.276,0.161c0.11,0,0.218-0.066,0.269-0.161l0.622-1.13l1.13-0.622c0.095-0.051,0.159-0.159,0.159-0.269    c0-0.115-0.064-0.217-0.159-0.276L67.099,69.563z M67.099,69.563"/><path fill="#F79521" d="M63.552,60.961h2.136l1.796,1.161c0.089,0.057,0.212,0.064,0.314,0.007    c0.103-0.051,0.161-0.154,0.161-0.269l0.007-2.136l1.154-1.795c0.064-0.09,0.071-0.218,0.013-0.315    c-0.053-0.102-0.154-0.161-0.269-0.161l-2.136-0.005l-1.797-1.156c-0.097-0.064-0.218-0.071-0.314-0.012    c-0.103,0.051-0.161,0.153-0.161,0.269l-0.007,2.135l-1.154,1.796c-0.064,0.097-0.071,0.218-0.013,0.322    C63.334,60.897,63.437,60.961,63.552,60.961L63.552,60.961z M63.552,60.961"/><path fill="#F79521" d="M71.339,65.484l0.944-0.115l0.859,0.411c0.102,0.051,0.225,0.038,0.314-0.033    c0.09-0.064,0.141-0.172,0.128-0.289l-0.122-0.943l0.411-0.859c0.053-0.103,0.039-0.218-0.025-0.315    c-0.064-0.089-0.181-0.141-0.289-0.121l-0.943,0.115l-0.86-0.411c-0.102-0.051-0.225-0.038-0.314,0.026    c-0.097,0.071-0.141,0.179-0.128,0.289l0.115,0.949l-0.411,0.854c-0.044,0.102-0.038,0.223,0.033,0.314    C71.116,65.453,71.224,65.497,71.339,65.484L71.339,65.484z M71.339,65.484"/><path fill="#F79521" d="M53.805,58.919l0.944-0.115l0.859,0.411c0.102,0.051,0.225,0.038,0.314-0.033    c0.09-0.064,0.141-0.172,0.128-0.289l-0.122-0.943l0.411-0.859c0.053-0.103,0.039-0.218-0.025-0.315    c-0.064-0.089-0.181-0.141-0.289-0.121l-0.943,0.115l-0.86-0.411c-0.102-0.051-0.225-0.038-0.314,0.026    c-0.097,0.071-0.141,0.179-0.128,0.289l0.115,0.949l-0.411,0.854c-0.044,0.102-0.038,0.223,0.033,0.314    C53.582,58.887,53.69,58.932,53.805,58.919L53.805,58.919z M53.805,58.919"/><path fill="#F79521" d="M90.86,83.753l-1.071-1.071L77.858,70.745c-0.384-0.384-0.892-0.576-1.391-0.576    c-0.507,0-1.013,0.192-1.399,0.576c-0.764,0.77-0.77,2.021,0,2.792l11.508,11.5l1.501,1.503c0.77,0.769,2.015,0.769,2.783,0    c0.194-0.194,0.34-0.417,0.437-0.655c0.097-0.236,0.141-0.488,0.141-0.737C91.438,84.639,91.246,84.133,90.86,83.753L90.86,83.753    z M89.125,85.764c-2.639-2.412-13.127-13.159-13.127-13.159c-0.258-0.256-0.258-0.673,0-0.929    c0.166-0.167,0.365-0.192,0.468-0.192c0.102,0,0.294,0.025,0.461,0.192c0,0,10.146,9.756,13.278,12.888    C90.927,85.284,89.814,86.394,89.125,85.764z M78.5,75.108"/><path fill="#FFFFFF" stroke="#F79521" stroke-width="1.5" stroke-miterlimit="10" d="M58.063,83.631v9.105    c0,0.925,3.203,1.671,7.15,1.671c3.948,0,7.151-0.746,7.151-1.671v-9.105c-2.025,0.454-4.544,0.706-7.151,0.706    C62.607,84.338,60.089,84.085,58.063,83.631L58.063,83.631z M58.063,83.631"/><path fill="#F79521" d="M65.213,77.461c-5.963,0-10.791,1.287-10.791,2.88c0,0.854,1.413,1.62,3.641,2.146    c1.905,0.454,4.407,0.727,7.15,0.727c2.749,0,5.245-0.279,7.151-0.727c2.229-0.526,3.641-1.292,3.641-2.146    C76.005,78.748,71.175,77.461,65.213,77.461L65.213,77.461z M65.213,82.12c-3.689,0-6.679-0.799-6.679-1.779    c0-0.987,2.99-1.786,6.679-1.786c3.69,0,6.68,0.799,6.68,1.786C71.893,81.321,68.903,82.12,65.213,82.12L65.213,82.12z     M65.213,82.12"/></g>' +
                            '<g class="text animated fadeInDown"><text transform="matrix(1 0 0 1 13.3731 126.5513)"><tspan x="0" y="0">Use the class/camp</tspan><tspan x="18.881" y="15.6">setup wizard</tspan></text></g>'));
                        //setTimeout(function () {
                        //    $("#JbWorkFollow svg").append(parseSVG('<g class="dot animated bounceIn"><circle opacity="0.5" fill="#00A651" cx="39.69" cy="57.18" r="9.608"/><circle fill="#00A651" cx="39.69" cy="57.18" r="6.114"/></g>'));
                        //}, 400);
                    }
                },
                {
                    "path": "M105.982,74.48   c36.509,0,57.645,36.546,93.513,36.546",
                    "duration": 600
                },
                {
                    "path": "M199.202,109.935   c-0.755,19.441,14.393,35.813,33.834,36.568s35.813-14.393,36.568-33.834s-14.393-35.813-33.834-36.568   S199.957,90.494,199.202,109.935",
                    "duration": 600,
                    "onStrokeComplete": function () {
                        $("#JbWorkFollow svg").append(parseSVG('<g class="icon animated bounceIn"><path fill="#FFEDDD" d="M213.05,100.745h43.827v27.226H213.05V100.745z"/><path fill="none" stroke="#F78D1E" stroke-width="1.5" stroke-miterlimit="10" d="M215.042,93.773h39.843    c1.467,0,2.656,1.189,2.656,2.656v29.218c0,1.467-1.189,2.656-2.656,2.656h-39.843c-1.467,0-2.656-1.189-2.656-2.656V96.429    C212.386,94.962,213.575,93.773,215.042,93.773z"/><path fill="#F78D1E" d="M216.038,96.429c0.55,0,0.996,0.446,0.996,0.996s-0.446,0.996-0.996,0.996    c-0.55,0-0.996-0.446-0.996-0.996S215.488,96.429,216.038,96.429z"/><path fill="#F78D1E" d="M221.35,96.429c0.55,0,0.996,0.446,0.996,0.996s-0.446,0.996-0.996,0.996c-0.55,0-0.996-0.446-0.996-0.996    S220.8,96.429,221.35,96.429z"/><path fill="#F78D1E" d="M218.694,96.429c0.55,0,0.996,0.446,0.996,0.996s-0.446,0.996-0.996,0.996    c-0.55,0-0.996-0.446-0.996-0.996S218.144,96.429,218.694,96.429z"/><line fill="none" stroke="#F78D1E" stroke-miterlimit="10" x1="213.05" y1="100.372" x2="256.877" y2="100.372"/><g><path fill="#F78D1E" d="M241.485,121.682l1.594-1.594c0.202-0.203,0.23-0.508,0.057-0.679c0,0-2.67-2.42-5.272-4.781     l-1.841,1.842l4.781,5.274C240.974,121.913,241.282,121.885,241.485,121.682L241.485,121.682z M241.485,121.682"/><path fill="#F78D1E" d="M228.184,119.677c-0.166,0.166-0.166,0.433,0,0.598l1.291,1.29c0.081,0.081,0.192,0.124,0.299,0.124     s0.218-0.04,0.299-0.124l5.58-5.579l3.659-3.659l-1.889-1.891l-3.568,3.568L228.184,119.677z M228.184,119.677"/><path fill="#F78D1E" d="M236.493,108.604c0.1,0.101,0.235,0.152,0.368,0.152c0.132,0,0.265-0.051,0.367-0.152l0.195-0.194     l0.617,0.617l-0.195,0.195c-0.123,0.123-0.173,0.296-0.143,0.457c0.013,0.075,0.043,0.148,0.09,0.212     c0.015,0.021,0.034,0.043,0.053,0.064l0.092,0.092l1.89,1.891l0.218,0.218c0.03,0.03,0.06,0.054,0.092,0.073     c0.083,0.053,0.18,0.079,0.275,0.079c0.133,0,0.264-0.051,0.368-0.152l0.064-0.064c1.064,1.435,0.995,2.431,1.213,2.431     c0.101,0,0.265-0.218,0.637-0.705c1.079-1.429,0.682-2.842,0.177-3.754l0.112-0.111c0.202-0.203,0.202-0.532,0-0.733     l-2.203-2.199c-0.101-0.101-0.235-0.152-0.368-0.152c-0.133,0-0.265,0.051-0.368,0.152l-0.194,0.194l-0.62-0.613l0.196-0.196     c0.203-0.203,0.203-0.532,0-0.732l-0.098-0.098c-0.1-0.101-0.234-0.152-0.367-0.152c-0.133,0-0.266,0.051-0.368,0.152l-2.2,2.2     c-0.203,0.203-0.203,0.531,0,0.732L236.493,108.604z M236.493,108.604"/><path fill="#F78D1E" d="M233.499,113.578l1.585-1.585c-1.197-1.083-2.034-1.842-2.034-1.842     c-0.433-0.442-0.359-1.089-0.695-1.572c-0.293-0.421-0.79-0.637-1.213-0.895c-0.673-0.411-1.348-0.821-2.021-1.23     c-0.089-0.056-0.207-0.041-0.281,0.034l-0.848,0.848c-0.075,0.075-0.09,0.192-0.034,0.282c0.396,0.649,0.79,1.297,1.183,1.947     c0.244,0.397,0.479,0.984,0.876,1.249c0.502,0.335,1.19,0.295,1.634,0.726c0.005,0.004,0.007,0.008,0.013,0.013L233.499,113.578z      M233.499,113.578"/></g></g>' +
                            '<g class="text animated fadeInDown"><text transform="matrix(1 0 0 1 167.4838 165.8846)"><tspan x="0" y="0">Create your season and</tspan><tspan x="9.227" y="15.6">set up the programs</tspan></text></g>'));
                        setTimeout(function () {
                            $("#JbWorkFollow svg").append(parseSVG('<g class="dot animated bounceIn"><circle opacity="0.5" fill="#00A651" cx="203.018" cy="93.688" r="9.608"/><circle fill="#00A651" cx="203.018" cy="93.688" r="6.114"/></g>'));
                        }, 400);
                    }
                },
                {
                    "path": "M270.271,109.623   c34.587,0,63.41-67.658,95.114-67.658",
                    "duration": 600
                },
                {
                    "path": "M366.693,37.559   C365.938,57,381.086,73.372,400.527,74.126s35.813-14.393,36.568-33.834S422.702,4.479,403.261,3.724   S367.448,18.118,366.693,37.559",
                    "duration": 600,
                    "onStrokeComplete": function () {
                        $("#JbWorkFollow svg").append(parseSVG('<g class="icon animated bounceIn"><rect x="384.683" y="31.46" fill="#FFEDDD" stroke="#F78D1E" stroke-width="1.5" stroke-miterlimit="10" width="33.867" height="24.954"/><rect x="384.683" y="24.331" fill="#FFFFFF" stroke="#F78D1E" stroke-width="1.5" stroke-miterlimit="10" width="33.867" height="6.239"/><line fill="none" stroke="#F78D1E" stroke-width="2" stroke-miterlimit="10" x1="395.08" y1="20.766" x2="395.08" y2="27.301"/><line fill="none" stroke="#F78D1E" stroke-width="2" stroke-miterlimit="10" x1="408.449" y1="20.766" x2="408.449" y2="27.301"/><rect x="394.486" y="49.285" fill="#F78D1E" width="3.565" height="3.565"/><rect x="400.725" y="49.285" fill="#F78D1E" width="3.565" height="3.565"/><rect x="394.486" y="43.046" fill="#F78D1E" width="3.565" height="3.565"/><rect x="388.247" y="36.808" fill="#F78D1E" width="3.565" height="3.565"/><rect x="388.247" y="43.046" fill="#F78D1E" width="3.565" height="3.565"/><rect x="388.247" y="49.285" fill="#F78D1E" width="3.565" height="3.565"/><g><polyline fill="none" stroke="#F78D1E" stroke-miterlimit="10" points="407.854,35.1 408.24,34.58 412.286,34.58 408.625,37.872         "/><polyline fill="none" stroke="#F78D1E" stroke-miterlimit="10" points="407.854,40.067 407.854,40.645 412.286,40.645      412.286,38.046 410.392,36.226    "/><polyline fill="none" stroke="#F78D1E" stroke-miterlimit="10" points="413.635,35.1 414.021,34.58 414.984,34.58      414.984,40.818    "/></g></g>' +
                            '<g class="text animated fadeInDown"><text transform="matrix(1 0 0 1 323.474 92.218)"><tspan x="0" y="0">Define your schedules, fees,</tspan><tspan x="1.234" y="15.6">discounts &amp; payment plans</tspan></text></g>'));
                        setTimeout(function () {
                            $("#JbWorkFollow svg").append(parseSVG('<g class="dot animated bounceIn"><circle opacity="0.5" fill="#00A651" cx="371.15" cy="20.671" r="9.608"/><circle fill="#00A651" cx="371.15" cy="20.671" r="6.114"/></g>'));
                        }, 400);
                    }
                },
                {
                    "path": "M437.762,41.762   c35.228,0,59.246,67.651,95.755,67.651",
                    "duration": 600
                },
                {
                    "path": "M534.184,109.615   c-0.755,19.441,14.393,35.813,33.834,36.568s35.813-14.393,36.568-33.834s-14.393-35.813-33.834-36.568   S534.939,90.174,534.184,109.615",
                    "duration": 600,
                    "onStrokeComplete": function () {
                        $("#JbWorkFollow svg").append(parseSVG('<g class="icon animated bounceIn"><g><rect x="548.889" y="95.129" fill="#FFFFFF" stroke="#F78D1E" stroke-width="1.5" stroke-miterlimit="10" width="30.744" height="37.469"/><rect x="551.771" y="98.012" fill="#F78D1E" width="24.98" height="12.97"/><line fill="none" stroke="#F78D1E" stroke-width="0.5" stroke-miterlimit="10" x1="551.771" y1="117.227" x2="576.751" y2="117.227"/><line fill="none" stroke="#F78D1E" stroke-width="0.5" stroke-miterlimit="10" x1="551.771" y1="120.109" x2="576.751" y2="120.109"/><line fill="none" stroke="#F78D1E" stroke-width="0.5" stroke-miterlimit="10" x1="551.771" y1="122.991" x2="576.751" y2="122.991"/><line fill="none" stroke="#F78D1E" stroke-width="0.5" stroke-miterlimit="10" x1="551.771" y1="125.873" x2="576.751" y2="125.873"/><line fill="none" stroke="#F78D1E" stroke-width="0.5" stroke-miterlimit="10" x1="551.771" y1="128.756" x2="576.751" y2="128.756"/></g><rect x="556.575" y="90.325" fill="#FFFFFF" width="34.587" height="41.312"/><g><rect x="558.497" y="92.247" fill="#FFFFFF" stroke="#F78D1E" stroke-width="1.5" stroke-miterlimit="10" width="30.744" height="37.469"/><rect x="561.379" y="95.129" fill="#F78D1E" width="24.98" height="7.686"/><rect x="561.379" y="95.129" fill="#F78D1E" width="24.98" height="7.686"/><rect x="561.379" y="105.698" fill="#F78D1E" width="7.686" height="4.804"/><rect x="570.026" y="105.698" fill="#F78D1E" width="7.686" height="4.804"/><rect x="578.672" y="105.698" fill="#F78D1E" width="7.686" height="4.804"/><line fill="none" stroke="#F78D1E" stroke-width="0.5" stroke-miterlimit="10" x1="561.379" y1="114.344" x2="586.358" y2="114.344"/><line fill="none" stroke="#F78D1E" stroke-width="0.5" stroke-miterlimit="10" x1="561.379" y1="117.227" x2="586.358" y2="117.227"/><line fill="none" stroke="#F78D1E" stroke-width="0.5" stroke-miterlimit="10" x1="561.379" y1="120.109" x2="586.358" y2="120.109"/><line fill="none" stroke="#F78D1E" stroke-width="0.5" stroke-miterlimit="10" x1="561.379" y1="122.991" x2="586.358" y2="122.991"/><line fill="none" stroke="#F78D1E" stroke-width="0.5" stroke-miterlimit="10" x1="561.379" y1="125.873" x2="586.358" y2="125.873"/></g></g>' +
                            '<g class="text animated fadeInDown"><text transform="matrix(1 0 0 1 492.489 166.8846)"><tspan x="0" y="0">Customize the registration</tspan><tspan x="-25.279" y="15.6">forms, follow-on forms and waivers</tspan></text></g>'));
                        setTimeout(function () {
                            $("#JbWorkFollow svg").append(parseSVG('<g class="dot animated bounceIn"><circle opacity="0.5" fill="#00A651" cx="539.281" cy="92.727" r="9.608"/><circle fill="#00A651" cx="539.281" cy="92.727" r="6.114"/></g>'));
                        }, 400);
                        $('#JbWorkFollow2').lazylinepainter({
                            "svgData": pathObjWf,
                            "strokeWidth": 2,
                            "strokeColor": "#ddd"
                        }).lazylinepainter('paint');
                    }
                },
                {
                    "path": "M601.09,126.592   c41.953,0,67.893,55.921,105.362,55.921",
                    "duration": 600
                },
                {
                    "path": "M706.612,180.774   c-0.755,19.441,14.393,35.813,33.834,36.568s35.813-14.393,36.568-33.834s-14.393-35.813-33.834-36.568   C723.738,146.185,707.366,161.333,706.612,180.774",
                    "duration": 600,
                    "onStrokeComplete": function () {
                        $("#JbWorkFollow svg").append(parseSVG('<g class="icon animated bounceIn"><g><g><path fill="#FFEDDD" d="M737.626,201.113c2.379-1.453,4.254-3.479,5.22-5.685c2.038-0.008,7.73-0.061,8.597-0.241       c1.283-0.232,2.355-0.817,3.176-1.736c0.828-0.928,1.248-2.172,1.248-3.696c0-1.288-0.321-2.402-0.954-3.312       c-0.638-0.914-1.561-1.586-2.745-1.997c-1.144-0.396-3.155-0.579-6.522-0.594l-0.502-0.002v0.01h-0.433v-5.61l0.928,0.01       c0.14-0.002,3.152-0.047,3.925-0.139c1.477-0.175,2.661-0.699,3.523-1.561c0.877-0.878,1.321-2.037,1.321-3.446       c0-1.346-0.383-2.461-1.139-3.316s-1.875-1.379-3.326-1.556c-0.165-0.019-0.223-0.033-0.271-0.047       c-0.243-0.067-0.335-0.093-3.186-0.093h-2.286l-0.438-0.007h-1.291v17.422c0,3.208-0.283,5.701-0.841,7.409       c-0.72,2.146-2.609,4.598-4.595,5.958c-1.946,1.335-3.706,2.108-6.946,2.108c-1.86,0-3.578-0.452-5.214-1.377       c4.733-0.477,8.807-3.822,10.132-8.463c0.115-0.273,0.211-0.605,0.276-0.965c0.202-1.123,0.219-2.548,0.219-4.158V162.51       h10.788c3.092,0,5.422,0.13,6.925,0.386c1.459,0.247,2.783,0.77,3.936,1.555c1.148,0.783,2.121,1.842,2.89,3.149       c0.761,1.292,1.146,2.765,1.146,4.379c0,1.749-0.478,3.376-1.419,4.835c-0.943,1.461-2.239,2.571-3.852,3.302l-1.231,0.557       l1.298,0.379c2.298,0.669,4.084,1.818,5.308,3.416c1.222,1.598,1.842,3.504,1.842,5.666c0,1.714-0.405,3.407-1.204,5.033       c-0.797,1.617-1.896,2.926-3.27,3.891c-1.374,0.964-3.101,1.566-5.13,1.789c-1.392,0.151-4.157,0.233-8.967,0.268H737.626z"/><path fill="#F78D1E" d="M746.29,163.01c3.062,0,5.364,0.127,6.842,0.378c1.387,0.235,2.645,0.732,3.737,1.476       c1.086,0.74,2.008,1.746,2.74,2.99c0.715,1.215,1.078,2.603,1.078,4.126c0,1.651-0.451,3.187-1.339,4.564       c-0.902,1.398-2.092,2.417-3.638,3.116l-2.464,1.115l2.597,0.757c2.194,0.639,3.893,1.729,5.051,3.241       c1.17,1.529,1.739,3.283,1.739,5.362c0,1.637-0.388,3.256-1.153,4.812c-0.759,1.541-1.805,2.787-3.108,3.702       c-1.305,0.915-2.952,1.488-4.895,1.701c-1.379,0.149-4.129,0.23-8.912,0.264h-5.324c1.723-1.317,3.095-2.94,3.928-4.686       c1.919-0.011,7.452-0.058,8.352-0.245c1.408-0.256,2.576-0.894,3.471-1.898c0.912-1.022,1.375-2.378,1.375-4.029       c0-1.392-0.351-2.602-1.044-3.598c-0.698-1.002-1.705-1.736-2.992-2.183c-1.199-0.415-3.26-0.607-6.683-0.621l-0.437,0.001       v-4.599l0.447,0.005c0.323-0.005,3.18-0.048,3.964-0.142c1.589-0.188,2.874-0.761,3.818-1.704       c0.974-0.974,1.468-2.253,1.468-3.8c0-1.47-0.425-2.697-1.263-3.647c-0.839-0.951-2.064-1.53-3.649-1.723       c-0.115-0.013-0.156-0.022-0.191-0.032c-0.314-0.086-0.399-0.11-3.319-0.11h-1.723v-0.007h-1h-0.791h-1v1v16.922       c0,3.155-0.274,5.595-0.813,7.246c-0.69,2.056-2.502,4.404-4.406,5.709c-1.866,1.28-3.554,2.021-6.663,2.021       c-1.248,0-2.43-0.214-3.565-0.649c4.218-1.006,7.707-4.222,8.949-8.502c0.135-0.341,0.234-0.69,0.302-1.066       c0.21-1.165,0.227-2.613,0.227-4.246v-23.02h6.646H746.29 M746.29,162.01h-3.642h-7.646v24.02c0,1.637-0.019,3.002-0.211,4.069       c-0.064,0.354-0.157,0.653-0.265,0.917c-1.344,4.709-5.676,8.159-10.817,8.159c-0.148,0-0.294-0.006-0.441-0.011       c1.819,1.348,4.055,2.329,6.821,2.329c3.331,0,5.194-0.8,7.229-2.196c2.035-1.395,4.014-3.91,4.788-6.215       c0.576-1.765,0.865-4.286,0.865-7.564v-16.922h0.791v0.008h0.006v-0.001h2.717c3.764,0,2.604,0.045,3.397,0.135       c1.333,0.162,2.337,0.626,3.012,1.391c0.676,0.766,1.013,1.76,1.013,2.985c0,1.279-0.392,2.31-1.175,3.093       c-0.784,0.783-1.86,1.256-3.228,1.418c-0.756,0.09-3.861,0.135-3.861,0.135l-1.433-0.015v6.615h1.433v-0.007       c3.399,0.014,5.312,0.203,6.36,0.566c1.089,0.378,1.922,0.982,2.499,1.81c0.576,0.828,0.864,1.837,0.864,3.026       c0,1.405-0.374,2.526-1.121,3.363c-0.747,0.837-1.715,1.364-2.904,1.58c-0.755,0.157-6.073,0.228-8.829,0.232       c-1.178,2.979-3.998,5.393-6.918,6.683h8.97c5.096-0.036,7.686-0.126,9.019-0.27c2.125-0.234,3.912-0.86,5.362-1.877       c1.449-1.018,2.593-2.378,3.431-4.079c0.837-1.702,1.256-3.453,1.256-5.254c0-2.287-0.649-4.277-1.945-5.97       c-1.297-1.693-3.152-2.89-5.565-3.593c1.711-0.774,3.066-1.936,4.066-3.485c0.999-1.548,1.499-3.251,1.499-5.106       c0-1.711-0.405-3.255-1.216-4.633c-0.81-1.377-1.823-2.481-3.039-3.309s-2.593-1.374-4.133-1.635       C751.761,162.141,749.424,162.01,746.29,162.01L746.29,162.01z"/></g><g><path fill="#FFEDDD" d="M722.621,198.004c-0.638-0.483-1.263-1.042-1.86-1.665c-1.845-1.914-3.214-6.196-3.104-9.572l6.524-0.021       c0.114,2.191,0.389,3.432,0.949,4.344c1.085,1.787,2.47,2.621,4.358,2.621c0.914,0,1.678-0.154,2.333-0.481       c-1.96,2.918-5.295,4.78-8.936,4.78C722.798,198.009,722.709,198.007,722.621,198.004z"/><path fill="#F78D1E" d="M723.711,187.246c0.135,1.995,0.43,3.187,0.992,4.099c1.169,1.927,2.735,2.864,4.787,2.864       c0.344,0,0.67-0.021,0.979-0.064c-1.903,2.086-4.638,3.363-7.581,3.363c-0.03,0-0.061,0-0.091-0.001       c-0.571-0.444-1.134-0.953-1.676-1.516c-1.678-1.742-2.944-5.556-2.969-8.727L723.711,187.246 M724.659,186.243l-7.475,0.026       c-0.261,3.438,1.109,8.23,3.216,10.417c0.615,0.639,1.296,1.256,2.046,1.812c0.146,0.006,0.293,0.011,0.441,0.011       c5.141,0,9.473-3.449,10.817-8.158c-0.203,0.499-0.463,0.866-0.699,1.192c-0.739,1.017-1.733,1.667-3.516,1.667       c-1.901,0-3.068-0.959-3.932-2.383C724.981,189.891,724.749,188.512,724.659,186.243L724.659,186.243z"/></g></g></g>' +
                            '<g class="text animated fadeInDown"><text transform="matrix(1 0 0 1 653.8416 234.218)"><tspan x="0" y="0">Create a user registration page</tspan><tspan x="57.313" y="15.6">in Jumbula</tspan></text></g>'));
                        setTimeout(function () {
                            $("#JbWorkFollow svg").append(parseSVG('<g class="dot animated bounceIn"><circle opacity="0.5" fill="#00A651" cx="712.217" cy="164.784" r="9.608"/><circle fill="#00A651" cx="712.217" cy="164.784" r="6.114"/></g>'));
                        }, 400);
                    }
                },
                {
                    "path": "M778.188,182.512   c35.868,0,62.769-55.934,108.885-55.934",
                    "duration": 600
                },
                {
                    "path": "M887.199,125.927   c8.254,17.618,29.228,25.209,46.846,16.954c17.618-8.254,25.209-29.228,16.954-46.846c-8.254-17.618-29.228-25.209-46.846-16.954   S878.945,108.309,887.199,125.927",
                    "duration": 600,
                    "onStrokeComplete": function () {
                        $("#JbWorkFollow svg").append(parseSVG('<g class="icon animated bounceIn"><path fill="#FFFFFF" stroke="#F78D1E" stroke-width="1.5" stroke-miterlimit="10" d="M904.048,99.628h34.142    c0.986,0,1.784,0.829,1.784,1.849v21.784c0,1.022-0.799,1.849-1.784,1.849h-34.142c-0.986,0-1.785-0.829-1.785-1.849v-21.784    C902.263,100.456,903.062,99.628,904.048,99.628z"/><g><g><path fill="#F78D1E" d="M903.66,111.946h-6.62c-0.294,0-0.532,0.247-0.532,0.551s0.238,0.55,0.532,0.55h6.62      c0.294,0,0.532-0.247,0.532-0.55C904.192,112.192,903.954,111.946,903.66,111.946z M903.66,117.528h-9.65      c-0.294,0-0.532,0.247-0.532,0.551c0,0.304,0.238,0.55,0.532,0.55h9.65c0.294,0,0.532-0.247,0.532-0.55      C904.192,117.773,903.954,117.528,903.66,117.528z M894.011,107.408h9.65c0.294,0,0.532-0.247,0.532-0.55      c0-0.305-0.238-0.551-0.532-0.551h-9.65c-0.294,0-0.532,0.247-0.532,0.551C893.479,107.16,893.717,107.408,894.011,107.408z"/></g><g><path fill="none" stroke="#FFFFFF" stroke-width="3" stroke-miterlimit="10" d="M903.66,111.946h-6.62      c-0.294,0-0.532,0.247-0.532,0.551s0.238,0.55,0.532,0.55h6.62c0.294,0,0.532-0.247,0.532-0.55      C904.192,112.192,903.954,111.946,903.66,111.946z M903.66,117.528h-9.65c-0.294,0-0.532,0.247-0.532,0.551      c0,0.304,0.238,0.55,0.532,0.55h9.65c0.294,0,0.532-0.247,0.532-0.55C904.192,117.773,903.954,117.528,903.66,117.528z       M894.011,107.408h9.65c0.294,0,0.532-0.247,0.532-0.55c0-0.305-0.238-0.551-0.532-0.551h-9.65      c-0.294,0-0.532,0.247-0.532,0.551C893.479,107.16,893.717,107.408,894.011,107.408z"/></g></g><g><g><path fill="#F78D1E" d="M903.66,111.946h-6.62c-0.294,0-0.532,0.247-0.532,0.551s0.238,0.55,0.532,0.55h6.62      c0.294,0,0.532-0.247,0.532-0.55C904.192,112.192,903.954,111.946,903.66,111.946z M903.66,117.528h-9.65      c-0.294,0-0.532,0.247-0.532,0.551c0,0.304,0.238,0.55,0.532,0.55h9.65c0.294,0,0.532-0.247,0.532-0.55      C904.192,117.773,903.954,117.528,903.66,117.528z M894.011,107.408h9.65c0.294,0,0.532-0.247,0.532-0.55      c0-0.305-0.238-0.551-0.532-0.551h-9.65c-0.294,0-0.532,0.247-0.532,0.551C893.479,107.16,893.717,107.408,894.011,107.408z"/></g></g><path fill="#F78D1E" d="M906.732,102.992h7.63c0.294,0,0.532,0.247,0.532,0.551c0,0.304-0.238,0.55-0.532,0.55h-7.63    c-0.294,0-0.532-0.247-0.532-0.55C906.2,103.239,906.438,102.992,906.732,102.992z"/><path fill="#F78D1E" d="M906.732,106.307h7.63c0.294,0,0.532,0.247,0.532,0.551c0,0.304-0.238,0.55-0.532,0.55h-7.63    c-0.294,0-0.532-0.247-0.532-0.55C906.2,106.553,906.438,106.307,906.732,106.307z"/><path fill="#F78D1E" d="M911.164,112.151h20.185c0.294,0,0.532,0.247,0.532,0.551s-0.238,0.55-0.532,0.55h-20.185    c-0.294,0-0.532-0.247-0.532-0.55C910.632,112.397,910.871,112.151,911.164,112.151z"/><path fill="#F78D1E" d="M911.164,115.232h20.185c0.294,0,0.532,0.247,0.532,0.551c0,0.304-0.238,0.55-0.532,0.55h-20.185    c-0.294,0-0.532-0.247-0.532-0.55C910.632,115.478,910.871,115.232,911.164,115.232z"/><path fill="#F78D1E" d="M911.164,118.396h20.185c0.294,0,0.532,0.247,0.532,0.551c0,0.304-0.238,0.55-0.532,0.55h-20.185    c-0.294,0-0.532-0.247-0.532-0.55C910.632,118.643,910.871,118.396,911.164,118.396z"/><path fill="#F78D1E" d="M932.497,102.992h3.998v4.144h-3.998V102.992z"/></g>' +
                            '<g class="text animated fadeInDown"><text transform="matrix(1 0 0 1 844.7393 166.8846)">Run marketing campaigns</text></g>'));
                        setTimeout(function () {
                            $("#JbWorkFollow2 svg").append(parseSVG('<g class="dot animated bounceIn"><circle opacity="0.5" fill="#00A651" cx="888.995" cy="94.649" r="9.608"/><circle fill="#00A651" cx="888.995" cy="94.649" r="6.114"/></g>'));
                        }, 400);
                    }
                },
                {
                    "path": "M956.248,111.399   c38.43,0,65.331-35.929,106.003-35.929",
                    "duration": 600
                },
                {
                    "path": "M1063.238,74.387   c-0.755,19.441,14.393,35.813,33.834,36.568c19.441,0.755,35.813-14.393,36.568-33.834s-14.393-35.813-33.834-36.568   S1063.993,54.946,1063.238,74.387",
                    "duration": 600,
                    "onStrokeComplete": function () {
                        $("#JbWorkFollow svg").append(parseSVG('<g class="icon animated bounceIn"><g><path fill="#F78D1E" d="M1091.642,79.477h-0.513c-0.142,0-0.257,0.115-0.257,0.257v3.798c0,0.142,0.115,0.257,0.257,0.257h0.513     c0.142,0,0.257-0.115,0.257-0.257v-3.798C1091.899,79.592,1091.784,79.477,1091.642,79.477L1091.642,79.477z M1091.642,79.477"/><path fill="#F78D1E" d="M1094.722,79.477h-0.513c-0.142,0-0.257,0.115-0.257,0.257v3.798c0,0.142,0.115,0.257,0.257,0.257h0.513     c0.141,0,0.257-0.115,0.257-0.257v-3.798C1094.978,79.592,1094.863,79.477,1094.722,79.477L1094.722,79.477z M1094.722,79.477"/><path fill="#F78D1E" d="M1097.801,76.705h-0.513c-0.142,0-0.257,0.115-0.257,0.257v6.569c0,0.142,0.115,0.257,0.257,0.257h0.513     c0.142,0,0.257-0.115,0.257-0.257v-6.569C1098.058,76.82,1097.943,76.705,1097.801,76.705L1097.801,76.705z M1097.801,76.705"/><path fill="#F78D1E" d="M1100.88,74.55h-0.513c-0.142,0-0.257,0.115-0.257,0.257v8.725c0,0.142,0.115,0.257,0.257,0.257h0.513     c0.142,0,0.257-0.115,0.257-0.257v-8.725C1101.137,74.665,1101.022,74.55,1100.88,74.55L1100.88,74.55z M1100.88,74.55"/><path fill="#F78D1E" d="M1103.959,76.705h-0.513c-0.142,0-0.257,0.115-0.257,0.257v6.569c0,0.142,0.115,0.257,0.257,0.257h0.513     c0.142,0,0.257-0.115,0.257-0.257v-6.569C1104.216,76.82,1104.101,76.705,1103.959,76.705L1103.959,76.705z M1103.959,76.705"/><g><path fill="#F78D1E" d="M1107.039,73.318h-0.513c-0.142,0-0.257,0.115-0.257,0.257v9.956c0,0.142,0.115,0.257,0.257,0.257h0.513      c0.142,0,0.257-0.115,0.257-0.257v-9.956C1107.295,73.433,1107.18,73.318,1107.039,73.318L1107.039,73.318z M1107.039,73.318"/><path fill="#F78D1E" d="M1106.782,69.863c-0.406,0-0.736,0.33-0.736,0.736c0,0.155,0.049,0.299,0.131,0.418l-2.247,3.221      c-0.072-0.024-0.148-0.037-0.228-0.037c-0.174,0-0.334,0.061-0.46,0.163l-1.903-1.375c0.013-0.054,0.02-0.11,0.02-0.168      c0-0.405-0.33-0.735-0.735-0.735c-0.406,0-0.736,0.33-0.736,0.735c0,0.067,0.01,0.132,0.026,0.194l-2.062,1.604      c-0.094-0.043-0.198-0.068-0.308-0.068c-0.405,0-0.735,0.33-0.736,0.734l-1.857,0.991c-0.13-0.115-0.3-0.185-0.487-0.185      c-0.275,0-0.515,0.152-0.641,0.376l-1.717-0.267c-0.069-0.335-0.366-0.588-0.721-0.588c-0.405,0-0.735,0.33-0.735,0.735      s0.33,0.736,0.736,0.736c0.275,0,0.515-0.152,0.641-0.376l1.717,0.267c0.069,0.335,0.366,0.588,0.721,0.588      c0.406,0,0.736-0.33,0.736-0.736c0-0.033-0.003-0.065-0.007-0.097l1.798-0.959c0.135,0.154,0.333,0.252,0.553,0.252      c0.406,0,0.736-0.33,0.736-0.736c0-0.107-0.023-0.208-0.064-0.299l1.999-1.555c0.117,0.079,0.258,0.125,0.409,0.125      c0.161,0,0.31-0.052,0.431-0.14l1.925,1.39c-0.008,0.042-0.012,0.085-0.012,0.13c0,0.406,0.33,0.736,0.735,0.736      c0.406,0,0.736-0.33,0.736-0.736c0-0.138-0.039-0.267-0.106-0.378l2.266-3.248c0.059,0.015,0.12,0.024,0.183,0.024      c0.406,0,0.736-0.33,0.736-0.735C1107.518,70.193,1107.188,69.863,1106.782,69.863L1106.782,69.863z M1106.782,69.863"/></g></g><path fill="#F78D1E" d="M1115.505,62.773h-32.842c-1.254,0-2.281,1.027-2.281,2.273v23.618c0,1.246,1.027,2.273,2.281,2.273    h32.842c1.254,0,2.273-1.027,2.273-2.273V65.046C1117.777,63.8,1116.758,62.773,1115.505,62.773L1115.505,62.773z     M1115.894,88.908h-33.62V65.002h33.62V88.908z M1114.933,86.987"/><path fill="#F78D1E" d="M1094.841,92.358l-4.303,4.373h17.084l-4.295-4.373H1094.841z M1094.841,92.358"/></g>' +
                            '<g  class="text animated fadeInDown"><text transform="matrix(1 0 0 1 1035.5619 130.8846)" ><tspan x="0" y="0">Monitor performance</tspan><tspan x="23.513" y="15.6""> and optimize</tspan></text></g>'));
                        setTimeout(function () {
                            $("#JbWorkFollow svg").append(parseSVG('<g class="dot animated bounceIn"><circle opacity="0.5" fill="#00A651" cx="1067.695" cy="60.062" r="9.608"/><circle fill="#00A651" cx="1067.695" cy="60.062" r="6.114"/></g>'));
                        }, 400);
                    }
                }
            ],
            "dimensions": {
                "width": 1170,
                "height": 256
            }
        },
        "JbWorkFollow2": {
            "strokepath": [
                {
                    "path": "M601.75,94.25c39.84,0,66.75-54,103.75-53.5",
                    "duration": 600
                },
                {
                    "path": "M706.135,38.23   c-0.755,19.441,14.393,35.813,33.834,36.568c19.441,0.755,35.813-14.393,36.568-33.834S762.143,5.15,742.702,4.396   C723.261,3.641,706.889,18.789,706.135,38.23",
                    "duration": 600,
                    "onStrokeComplete": function () {
                        $("#JbWorkFollow2 svg").append(parseSVG('<g class="icon animated bounceIn"><rect x="716.997" y="32.871" fill="#FFEDDD" width="13.451" height="13.451"/><polygon fill="#FFEDDD" points="728.105,57.371 723.121,57.371 721.26,47.163 726.604,47.163   "/><g><g><defs><rect id="SVGID_1_" x="713.154" y="19.421" width="50.319" height="40.467"/></defs><clipPath id="SVGID_2_"><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#SVGID_1_" overflow="visible"/></clipPath><path clip-path="url(#SVGID_2_)" fill="#F79521" d="M760.04,59.852c-0.323,0-0.62-0.208-0.724-0.524      c-0.011-0.03-1.453-3.845-10.276-9.028c-7.672-4.507-15.729-4.789-17.958-4.767c-0.324,0.996-1.261,1.717-2.364,1.717h-1.499      l1.547,9.142c0.078,0.463-0.05,0.933-0.353,1.292c-0.303,0.358-0.746,0.565-1.215,0.565h-3.379c-0.779,0-1.439-0.558-1.57-1.326      l-1.638-9.674h-2.157c-1.37,0-2.484-1.115-2.484-2.486v-0.607h-0.91c-1.051,0-1.907-0.855-1.907-1.907v-5.233      c0-1.052,0.855-1.907,1.907-1.907h0.909v-0.609c0-1.37,1.115-2.485,2.486-2.485h10.262c1.103,0,2.041,0.723,2.365,1.719      c2.225,0.018,10.286-0.261,17.958-4.767c8.823-5.183,10.265-8.998,10.277-9.036c0.126-0.35,0.487-0.564,0.853-0.501      c0.366,0.064,0.636,0.377,0.636,0.749v13.553c1.365,0.29,2.395,1.506,2.395,2.957v5.884c0,1.453-1.028,2.667-2.395,2.958v13.553      c0,0.376-0.273,0.696-0.644,0.755C760.122,59.849,760.081,59.852,760.04,59.852L760.04,59.852z M722.164,47.251l1.594,9.419      c0.005,0.03,0.031,0.051,0.061,0.051h3.379c0.008,0,0.029,0,0.047-0.021c0.018-0.022,0.015-0.042,0.014-0.051l-1.592-9.396      h-3.504V47.251z M731.401,43.997c2.759,0,10.674,0.438,18.414,4.984c5.234,3.074,8.014,5.722,9.462,7.499V22.789      c-1.448,1.777-4.228,4.425-9.462,7.498c-7.932,4.66-16.043,5.004-18.612,4.983v1.115c2.142-0.065,8.291-0.361,12.682-1.672      c6.915-2.061,11.564-5.811,11.61-5.85c0.326-0.266,0.809-0.218,1.075,0.11c0.268,0.327,0.219,0.808-0.108,1.075      c-0.197,0.161-4.918,3.978-12.139,6.131c-4.651,1.387-10.953,1.677-13.12,1.738v6.08      C731.266,43.997,731.331,43.997,731.401,43.997L731.401,43.997z M726.314,45.722h2.405c0.526,0,0.956-0.429,0.956-0.956V34.503      c0-0.526-0.43-0.956-0.956-0.956h-10.264c-0.527,0-0.956,0.43-0.956,0.956v10.264c0,0.527,0.429,0.956,0.956,0.956H726.314z       M760.806,35.338v8.593c0.51-0.238,0.865-0.755,0.865-1.354v-5.885C761.671,36.093,761.316,35.574,760.806,35.338      L760.806,35.338z M715.06,36.641c-0.208,0-0.377,0.17-0.377,0.377v5.233c0,0.208,0.169,0.377,0.377,0.377h0.909v-5.987H715.06z       M715.06,36.641"/></g></g></g>' +
                            '<g class="text animated fadeInDown"><text transform="matrix(1 0 0 1 671.6876 91.8846)"><tspan x="0" y="0">Promote your programs</tspan><tspan x="37.172" y="15.6">in your site</tspan></text></g>'));
                        setTimeout(function () {
                            $("#JbWorkFollow2 svg").append(parseSVG('<g class="dot animated bounceIn"><circle opacity="0.5" fill="#00A651" cx="711.256" cy="22.112" r="9.608"/><circle fill="#00A651" cx="711.256" cy="22.112" r="6.114"/></g>'));
                        }, 400);
                    }
                },
                {
                    "path": "M776.907,41.12   c40.992,0,63.089,53.209,111.447,53.209",
                    "duration": 600
                }
            ],
            "dimensions": {
                "width": 1170,
                "height": 256
            }
        }
    },
    scrollize = function () {
        var scroll = $(this).scrollTop(),
            windowHeight = $(window).outerHeight(),
            programSectionHeight = $(".program-setup-inner").outerHeight(),
            programSectionOffset = $(".program-setup-inner").offset().top;

        if (!programSectionAnimated && scroll + windowHeight / 2 + 150 > programSectionOffset && scroll + windowHeight / 2 < programSectionOffset + programSectionHeight + 150) {
            $('#JbWorkFollow').lazylinepainter(
                {
                    "svgData": pathObjWf,
                    "strokeWidth": 2,
                    "strokeColor": "#ddd",
                }).lazylinepainter('paint');
            programSectionAnimated = true;
        }
    };


$(window).scroll(scrollize);
scrollize();

$("#tourSlider").owlCarousel({
    navigation: false,
    slideSpeed: 300,
    paginationSpeed: 400,
    singleItem: true,
    autoHeight: false,
    pagination: true,
    stopOnHover: true,
    paginationNumbers: false,
    loop: true,
    autoPlay: true,
    afterAction: function () {
        $("#tourSection .tour-slider .captions div").eq(this.owl.prevItem).fadeOut();
        $("#tourSection .tour-slider .captions div").eq(this.owl.currentItem).fadeIn();
    }
});

//Partners Client Slider
$("#partnersClientSlider").owlCarousel({
    items: 6, //10 items above 1000px browser width
    itemsDesktop: [1000, 5], //5 items between 1000px and 901px
    itemsDesktopSmall: [900, 3], // betweem 900px and 601px
    itemsTablet: [600, 2], //2 items between 600 and 0
    itemsMobile: [300, 1], // itemsMobile disabled - inherit from itemsTablet option
    loop: true,
    autoPlay: true,
});

$("#admin-slider").owlCarousel({
    navigation: false,
    pagination: true,
    slideSpeed: 300,
    paginationSpeed: 400,
    singleItem: true,
    loop: true,
    autoPlay: true,
}).data('owlCarousel');

//section one slider
$(function () {
    var currentIndex = 0,
        items = $(".slider-images>div"),
        itemAmt = items.length,
        texts = $(".slider-images .slider-text");

    function cycleItems() {
        var item = items.eq(currentIndex);
        var text = texts.eq(currentIndex);
        items.hide();
        texts.hide();
        setInterval(function () {
            text.slideDown(500);
        }, 300);

        item.fadeIn(200);
    }

    var autoSlide = setInterval(function () {
        currentIndex += 1;
        if (currentIndex > itemAmt - 1) {
            currentIndex = 0;
        }
        cycleItems();
    }, 8000);

    cycleItems();
});

//modal start*******************************************************************

$('.a-thumbnails,.player').unbind('click').bind('click', function (e) {
    //if (document.getElementById("promoVideo")) {
    //    var promo = document.getElementById("promoVideo");
    //    promo.pause();
    //}
    e.preventDefault();
    var dataInfo = $(this).data("info"),
        dataTitle = $(this).data("title"),
        dataDescription = $(this).data("description"),
        dataLink = $(this).attr("href"),
        pvModal = $("#pvModal"),
        pvModalBody = $("#pvModal .pv-body"),
        dataIndex = $(this).data("index"),
        daraParent = $(this).data("parent"),
        dataTitle1 = $(this).closest("#" + daraParent).find("a[data-index=1]").data("title"),
        dataDescription1 = $(this).closest("#" + daraParent).find("a[data-index=1]").data("description");

    $("body").css('overflow', 'hidden');
    pvModal.fadeIn();
    pvModalBody.empty();
    if (dataInfo == "video") {
        pvModalBody.append("<video  id='chessvideo' width='100%' controls='controls' autoplay='autoplay'><source src='" + dataLink + "' type='video/mp4'>Your browser does not support HTML5 video.</video>");
        var vid = document.getElementById("chessvideo");
        vid.autoplay = true;
        vid.load();
        $("#pvModal .zoom-in-btn,.zoom-out-btn").css("display", "none");
        $("#pvModal .next-slide,#pvModal .prev-slide").css("display", "none");
    } else if (dataInfo == "img") {
        pvModalBody.append("<img data-parent='" + daraParent + "' data-index='" + dataIndex + "' data-title='" + dataTitle + "' data-description='" + dataDescription + "'  class='pv-image' src='" + dataLink + "' />");
        $("#pvModal .zoom-in-btn,.zoom-out-btn").css("display", "inline-block");
        $("#pvModal .next-slide,#pvModal .prev-slide").css("display", "none");
    } else if (dataInfo == "slider") {
        pvModalBody.append("<img data-parent='" + daraParent + "' data-index='1' class='pv-image' src='/Images/Home/Solution/four-section/1-administration-dashboard.jpg' /><div class='modal-info'><h5>" + dataTitle1 + "</h5><p>" + dataDescription1 + "</p><span id='hide-info'>Hide Information</a></span></div><a href='/Images/Home/Solution/four-section/1-administration-dashboard.jpg' class='view-image-modal' target='_blank'></a>");
        $("#pvModal .zoom-in-btn,.zoom-out-btn").css("display", "none");
        $("#pvModal .next-slide,#pvModal .prev-slide").css("display", "block");
    }
    else if (dataInfo == "info") {
        pvModalBody.append("<div class='content-modal'><h1>" + dataTitle + "</h1> <h2>" + dataDescription + "</h2> <a href='" + dataLink + "' class='btn-modal' target='_blank'>Visit Site</a></div>");
        $("#pvModal .zoom-in-btn,.zoom-out-btn").css("display", "none");
        $("#pvModal .next-slide,#pvModal .prev-slide").css("display", "none");
    }
});
$("#pvModal .pv-modal-bg, #pvModal .close-btn").click(function () {
    $("#pvModal").fadeOut();
    if (document.getElementById("chessvideo")) {
        var vid = document.getElementById("chessvideo");
        vid.pause();
    }
    $("body").css('overflow', 'auto');
    //if (document.getElementById("promoVideo")) {
    //    var promo = document.getElementById("promoVideo");
    //    promo.play();
    //}
});
$('.prev-slide').unbind('click').bind('click', function (e) {
    e.preventDefault();
    var dataParent = $("#pvModal img").data("parent"),
        dataIndex = $("#pvModal img").data("index"), pvModal = $("#pvModal"),
        pvModalBody = $("#pvModal .pv-body"),
        itemCounts = $("#" + dataParent).find(".item").length;
    pvModalBody.empty();
    if (dataIndex - 1 < 1) {
        dataIndex = itemCounts;
    }
    else {
        dataIndex--;
    }
    var prevImage = $("#" + dataParent + " a[data-index=" + dataIndex + "]"),
        prevDataParent = prevImage.data("parent"),
        prevDataIndex = prevImage.data("index"),
        dataTitle = prevImage.data("title"),
        dataDescription = prevImage.data("description"),
        prevDataLink = prevImage.attr("href");

    pvModalBody.append("<img data-parent='" + prevDataParent + "' data-index='" + prevDataIndex + "' class='pv-image' src='" + prevDataLink + "' /><div class='modal-info'><h5>" + dataTitle + "</h5><p>" + dataDescription + "</p><span id='hide-info'>Hide Information</a></span></div><a href='" + prevDataLink + "' class='view-image-modal' target='_blank'></a>");
});
$('.next-slide').unbind('click').bind('click', function (e) {
    e.preventDefault();
    var dataParent = $("#pvModal img").data("parent"),
        dataIndex = $("#pvModal img").data("index"), pvModal = $("#pvModal"),
        dataTitle = $("#pvModal img").data("title"),
        dataDescription = $("#pvModal img").data("description"),
        pvModalBody = $("#pvModal .pv-body"),
        itemCounts = $("#" + dataParent).find(".item").length;
    pvModalBody.empty();
    if (dataIndex + 1 > itemCounts) {
        dataIndex = 1;
    }
    else {
        dataIndex++;
    }
    var nextImage = $("#" + dataParent + " a[data-index=" + dataIndex + "]"),
        nextDataParent = nextImage.data("parent"),
        nextDataIndex = nextImage.data("index"),
        dataTitle = nextImage.data("title"),
        dataDescription = nextImage.data("description"),
        nextDataLink = nextImage.attr("href");

    pvModalBody.append("<img data-parent='" + nextDataParent + "' data-index='" + nextDataIndex + "' class='pv-image' src='" + nextDataLink + "' /><div class='modal-info'><h5>" + dataTitle + "</h5><p>" + dataDescription + "</p><span id='hide-info'>Hide Information</a></span></div><a href='" + nextDataLink + "' class='view-image-modal' target='_blank'></a>");
});
$(document).ready(function () {

    //var vid = document.getElementById("promoVideo");
    //vid.autoplay = true;
    //vid.load();

    $('body').on('click', '#hide-info', function (e) {
        e.preventDefault();
        var pvModalInfo = $("#pvModal .pv-body .modal-info");
        pvModalInfo.find('h5,p').toggleClass('hide-show');
        if ($(this).html() == "Show Information") {
            $(this).html("Hide Information");
        }
        else {
            $(this).html("Show Information");
        }

    });


    var generateRandomNum = function (min, max) {
        if (is.undefined(min)) {
            min = 0;
        }
        if (is.undefined(max)) {
            max = 999999999999;
        }
        var result = min;
        while (is.not.within(result, min, max)) {
            result = Math.random() * (max - min) + min;
        }
        return result;
    };


    var val = 1;
    $(".jbi-angle-right.next-right").click(function () {
        if (val >= 10) {
            val = 0;
        }
        $(".testimonial-text.active").removeClass("active");
        val += 1;
        $(".testimonial-text[data-index='" + val + "']").addClass("active");

    });
    $(".jbi-angle-left.prev-left").click(function () {
        if (val <= 1) {
            val = 11;
        }
        $(".testimonial-text.active").removeClass("active");
        val -= 1;
        $(".testimonial-text[data-index='" + val + "']").addClass("active");
    });
    $(".testimonial-inner .testimonial-text .read-more").click(function () {
        $(this).addClass("hidden").parents(".testimonial-inner .testimonial-text").css("padding-top", 0).find(".more").removeClass("hidden");
    });


    $(".jbi-angle-left.prev-left, .jbi-angle-right.next-right").unbind("click.animateWorldMap").bind("click.animateWorldMap", function () {
        var activator = $(this).closest(".testimonial-inner").find('blockquote.active').attr("data-index");

        var logoMap = "/Images/Home/MoreConvincing/jb-logo-map.png";
        if (activator == 1) {
            logoMap = "/Images/Home/Solution/clients/Sequoia-m.png";
        }
        else if (activator == 2) {
            logoMap = "/Images/Home/Solution/clients/Apollo-m.jpg";
        }
        else if (activator == 3) {
            logoMap = "/Images/Home/Solution/clients/contabile-m.png";
        }
        else if (activator == 4) {
            logoMap = "/Images/Home/Solution/clients/newballet-m.png";
            //alert(" New Ballet School");
        }
        else if (activator == 5) {
            logoMap = "/Images/Home/Solution/clients/dc-youth-orchestra-m.png";
        }
        else if (activator == 6) {
            logoMap = "/Images/Home/Solution/clients/international-chess-academy.png";
        }
        else if (activator == 7) {
            logoMap = "/Images/Home/Solution/clients/golf-in-schools-m.png";
        }
        else if (activator == 8) {
            logoMap = "/Images/Home/Solution/clients/NorCal-m.png";
            //alert("NorCal House of Chess");
        }
        else if (activator == 9) {
            logoMap = "/Images/Home/Solution/clients/aviationed_logo-m.png";
        }
        else if (activator == 10) {
            logoMap = "/Images/Home/Solution/clients/falconlearning-m.png";
            //alert(" Falcon Learning Center");
        }
        var rotation = generateRandomNum(30, 90);
        $(".world-map").css({
            "-webkit-transform": "rotate(" + rotation + "deg)",
            "-moz-transform": "rotate(" + rotation + "deg)",
            "-ms-transform": "rotate(" + rotation + "deg)",
            "-o-transform": "rotate(" + rotation + "deg)",
            "transform": "rotate(" + rotation + "deg)"
        });
        var left = generateRandomNum(20, 70);
        var top = generateRandomNum(20, 70);
        while (is.within(left, 35, 55)) {
            left = generateRandomNum(20, 70)
        }
        while (is.within(top, 35, 55)) {
            top = generateRandomNum(20, 70)
        }
        $(".jb-logo-world").css({
            left: left + "%",
            top: top + "%",
            boxShadow: "0px 0px 5px 1px #000",
            backgroundImage: "url(" + logoMap + ")",
            "-webkit-transform": "rotate(-" + rotation + "deg)",
            "-moz-transform": "rotate(-" + rotation + "deg)",
            "-ms-transform": "rotate(-" + rotation + "deg)",
            "-o-transform": "rotate(-" + rotation + "deg)",
            "transform": "rotate(-" + rotation + "deg)"
        });
    });


});
$(".zoom-in-btn").on("click", function () {
    var img = $(".pv-image");
    if (parseInt(img.css("width")) < 1400) {
        img.css("height", "+=20");
        img.css("width", "+=20");
    }
});
$(".zoom-out-btn").on("click", function () {
    var img = $(".pv-image");
    if (parseInt(img.css("height")) > 250) {
        img.css("height", "-=20");
        img.css("width", "-=20");
    }
});
